glab(1)

NAME
glab-schedule-update - Update a pipeline schedule.

SYNOPSIS
glab schedule update [flags]

DESCRIPTION
Update a pipeline schedule.

OPTIONS
--active[=to not change]
    Whether or not the schedule is active.

--create-variable=[]
    Pass new variables to schedule in format :.

--cron=""
    Cron interval pattern.

--cronTimeZone=""
    Cron timezone.

--delete-variable=[]
    Pass variables you want to delete from schedule in format .

--description=""
    Description of the schedule.

--ref=""
    Target branch or tag.

--update-variable=[]
    Pass updated variables to schedule in format :.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Update a scheduled pipeline with ID 10
    $ glab schedule update 10 --cron "0 * * * *" --description "Describe your pipeline here" --ref "main" --create-variable "foo:bar" --update-variable "baz:baz" --delete-variable "qux"
    > Updated schedule with ID 10

SEE ALSO
glab-schedule(1)